Package org.lwjgl.opengl

# Class ARBVertexArrayObject

java.lang.Object
org.lwjgl.opengl.ARBVertexArrayObject

public final class ARBVertexArrayObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_VERTEX_ARRAY_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindVertexArray(int array)`
`static void`
`glDeleteVertexArrays(int array)`
Overloads glDeleteVertexArrays.
`static void`
`glDeleteVertexArrays(IntBuffer arrays)`
`static int`
`glGenVertexArrays()`
Overloads glGenVertexArrays.
`static void`
`glGenVertexArrays(IntBuffer arrays)`
`static boolean`
`glIsVertexArray(int array)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ARRAY_BINDING

public static final int GL_VERTEX_ARRAY_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glBindVertexArray

public static void glBindVertexArray(int array)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(IntBuffer arrays)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(int array)
Overloads glDeleteVertexArrays.

### glGenVertexArrays

public static void glGenVertexArrays(IntBuffer arrays)

### glGenVertexArrays

public static int glGenVertexArrays()
Overloads glGenVertexArrays.

### glIsVertexArray

public static boolean glIsVertexArray(int array)